import { useQuery } from '@tanstack/react-query'
import { crimesRoute } from ".";
import { QUERY_KEYS } from "../../query-keys";

export const useGetCrimes = (enabled: boolean) =>
    useQuery({
        queryKey: [QUERY_KEYS.crimes],
        queryFn: async () =>
            (
                await crimesRoute.get("")
            ).data,
        enabled: enabled,
    });
