import { useQuery } from '@tanstack/react-query'
import { knowYourRightsRoute } from ".";
import { QUERY_KEYS } from "../../query-keys";

export const useGetKnowYourRights = (enabled: boolean) =>
    useQuery({
        queryKey: [QUERY_KEYS.kyrs],
        queryFn: async () =>
            (
                await knowYourRightsRoute.get("")
            ).data,
        enabled: enabled,
    });
