import React from 'react';
import { router } from 'expo-router';
import ValidationComponent from '../../components/validationComponent/validationComponent';

import HeaderFail from '../../assets/images/header-fail.svg';

const FailScreen = () => {
  return (
    <ValidationComponent
      headerImage={HeaderFail}
      message="Falha no cadastro!"
      buttonText="Voltar"
      onButtonPress={() => router.replace('/login/')}
    />
  );
};

export default FailScreen;
