import React from 'react';
import { router } from 'expo-router';
import ValidationComponent from '../../components/validationComponent/validationComponent';

import HeaderSuccess from '../../assets/images/header-success.svg';

const SuccessScreen = () => {
  return (
    <ValidationComponent
      headerImage={HeaderSuccess}
      message="Cadastro concluído!"
      buttonText="Continuar"
      onButtonPress={() => router.replace('/home/')}
    />
  );
};

export default SuccessScreen;
