import { FontAwesome } from '@expo/vector-icons';
import React from 'react';
import { TouchableOpacity, Text, Linking, View } from 'react-native';
import colors from '../../styles/colors';

const WhatsappButton = () => {
  const handlePress = () => {
    const whatsappLink = 'https://api.whatsapp.com/send?phone=555132951131&text=Ol%C3%A1%20app%20vitimas%20do%20crime';

    Linking.openURL(whatsappLink);
  };

  return (
    <TouchableOpacity onPress={handlePress}>
      <View style={{ flexDirection: "row", alignItems: "flex-start", gap: 10 }}>
        <FontAwesome name={'whatsapp'} size={30} color={colors.LIGHT_GREEN} ></FontAwesome>
      </View>
    </TouchableOpacity>
  );
};

export default WhatsappButton;
