import colors from './colors';

enum FontWeight {
    BOLD = '700',
    SEMIBOLD = '600',
    MEDIUM = '500',
    REGULAR = '400',
    LIGHT = '300'
}

const general = {
    accordianItem: {
        backgrounColor: colors.WHITE,
        borderWidth: 1,
        borderColor1: colors.SELECTIVE_YELLOW,
    },
    header1: {
        fontWeight: FontWeight.BOLD,
        fontSize: 32
    },
    header2: {
        fontWeight: FontWeight.BOLD,
        fontSize: 24
    },
    title1: {
        fontWeight: FontWeight.REGULAR,
        fontSize: 24
    },
    title2: {
        fontWeight: FontWeight.MEDIUM,
        fontSize: 20
    },
    title3: {
        fontWeight: FontWeight.SEMIBOLD,
        fontSize: 16
    },
    body1: {
        fontWeight: FontWeight.MEDIUM,
        fontSize: 16
    },
    body2: {
        fontWeight: FontWeight.REGULAR,
        fontSize: 16,
    },
    body3: {
        fontWeight: FontWeight.LIGHT,
        fontSize: 16
    },
    body4: {
        fontWeight: FontWeight.SEMIBOLD,
        fontSize: 14
    },
    body5: {
        fontWeight: FontWeight.REGULAR,
        fontSize: 14
    },
    body6: {
        fontWeight: FontWeight.MEDIUM,
        fontSize: 13
    },
    body7: {
        fontWeight: FontWeight.MEDIUM,
        fontSize: 12
    },
    title4: {
        fontWeight: FontWeight.REGULAR,
        fontSize: 12
    },
    body8: {
        fontWeight: FontWeight.SEMIBOLD,
        fontSize: 11
    }
}

export default general;
