import { useQuery } from '@tanstack/react-query'
import { citiesRoute } from ".";
import { QUERY_KEYS } from "../../query-keys";

export const useGetCities = (enabled: boolean) =>
    useQuery({
        queryKey: [QUERY_KEYS.cities],
        queryFn: async () =>
            (
                await citiesRoute.get("")
            ).data,
        enabled: enabled,
    });
