import { publicApi } from '..';
import { createHttpClient } from '../../http-client';

export const documentForCriminalProcedureRoute = (procedureId: string) => createHttpClient(`/documents/criminal-procedure/${procedureId}`, publicApi);

export const documentDownloadRoute = (documentId: string) => createHttpClient(`/documents/${documentId}`, publicApi);

export const uploadRoute = createHttpClient("/documents/upload", publicApi);
