import React from "react";
import { Redirect, SplashScreen } from "expo-router";
import { useRootNavigation } from "expo-router";
import { LogBox } from 'react-native';
import { decode, encode } from 'base-64'

export default function index() {
  const navigation = useRootNavigation();
  const [ready, setReady] = React.useState(false);

  LogBox.ignoreLogs(['Warning:']);
  if (!global.btoa) { global.btoa = encode }
  if (!global.atob) { global.atob = decode }

  React.useEffect(() => {
    if (!navigation?.isReady) return;

    setReady(true);
  }, [navigation?.isReady]);

  if (ready) return <Redirect href="/home/" />;

}